Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Data instance form rule unavailable

SA-82212

Summary



PRPC 6.1 is upgraded to Pega Platform 7.2.

Post Pega 7.1.9, forms are removed and moved to sections/harness.

For more information, refer to: https://community.pega.com/knowledgebase/release-note/end-support-form-based-rule-forms-pega-719

The below Data instance forms are unavailable:
  • Data-Operator-Security-Level1
  • Data-Operator-Security-Level2
  • Data-Operator-Security-Level3

Since the forms are unavailable, unable to edit in Pega Platform 7.2. These rules are a part of Pega Smart Investigate for Payments.


Error Messages



Not Applicable


Steps to Reproduce

  1. Install Pega Smart Investigate for Payments on Pega Platform 7.2. This is on a cloud instance of the Pega.
  2. Navigate to the Application tab.
  3. Display the Data-Operator-Security-Level1 instances.
  4. Double click the DATA-OPERATOR-SECURITY-LEVEL1 XXXX instance. The data instance opens in an XML page instead of the expected form.


Root Cause



Pega Platform 7.2 does not support the RuleForm which the classes use.


Resolution



Apply HFix-28280.
Suggest Edit

Published March 18, 2020 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us